0.6.0 doesnt work at all

0.6.0 doesnt work at all

Postby sinisa3games » 28 Feb 2019, 15:28

0.6.0 wont even start in linux and in windows it starts but has some flashy shadow effects and has serious fps issues.

what can i do?
'Ello
User avatar
sinisa3games
 
Posts: 116
Joined: 08 Feb 2018, 20:45
Location: Right over there

Re: 0.6.0 doesnt work at all

Postby DatTuxBoi » 27 Apr 2019, 07:54

You seem to have a corrupted installation of supertux, but that's my guess. try to reinstall it
Previously known as DatTuxBoi.
aka Windows Vista

I am a furfag
uwu uwu uwu uwu
User avatar
DatTuxBoi
 
Posts: 78
Joined: 01 Apr 2018, 07:55

Re: 0.6.0 doesnt work at all

Postby fluffrabbit » 27 Apr 2019, 08:11

DatTuxBoi {l Wrote}:You seem to have a corrupted installation of supertux, but that's my guess. try to reinstall it

Maybe I misunderstand, but that kind of data corruption is extremely unlikely. My guess is a graphics driver issue due to either a really old PC or an NVidia card.

On Linux, you can force OpenGL to run in software mode by running this before supertux from the terminal:

export LIBGL_ALWAYS_SOFTWARE=1

Then run supertux or supertux2 in the same terminal instance. More flags here.

Debugging graphics issues is tricky on Linux. NVidia drivers can mess with stuff and even interfere with the stock Mesa drivers, potentially forcing everything onto a card that has buggy drivers no matter what flags you set.
fluffrabbit
 
Posts: 563
Joined: 11 Apr 2019, 11:17

Re: 0.6.0 doesnt work at all

Postby DatTuxBoi » 28 Apr 2019, 23:12

Hmmm. that doesn't seem logical. If there were issues with drivers maybe certain normal apps wouldn't work. Please send your computer specifications (with graphics card).
Have you tried to run other games? If they work it's probably SuperTux fault. If not then it's a driver issue, or something that my knowledge cannot solve.
Previously known as DatTuxBoi.
aka Windows Vista

I am a furfag
uwu uwu uwu uwu
User avatar
DatTuxBoi
 
Posts: 78
Joined: 01 Apr 2018, 07:55

Re: 0.6.0 doesnt work at all

Postby DatTuxBoi » 28 Apr 2019, 23:12

To me it just looks like it's corrupted... but who knows...
Previously known as DatTuxBoi.
aka Windows Vista

I am a furfag
uwu uwu uwu uwu
User avatar
DatTuxBoi
 
Posts: 78
Joined: 01 Apr 2018, 07:55

Re: 0.6.0 doesnt work at all

Postby sinisa3games » 29 Apr 2019, 21:38

a lot of games want newer driver versions, i have opengl version 3.1. so thats most definetly the problem
'Ello
User avatar
sinisa3games
 
Posts: 116
Joined: 08 Feb 2018, 20:45
Location: Right over there

Re: 0.6.0 doesnt work at all

Postby DatTuxBoi » 30 Apr 2019, 17:18

Try to get either a nightly build or an older version of supertux, maybe Milestone 2. Let me know something.
Previously known as DatTuxBoi.
aka Windows Vista

I am a furfag
uwu uwu uwu uwu
User avatar
DatTuxBoi
 
Posts: 78
Joined: 01 Apr 2018, 07:55

Re: 0.6.0 doesnt work at all

Postby fluffrabbit » 01 May 2019, 11:24

sinisa3games {l Wrote}:a lot of games want newer driver versions, i have opengl version 3.1. so thats most definetly the problem

Please note that the OpenGL version reported by your driver is likely the newest version of the compatibility profile which your driver supports. The core profile is what modern renderers use, and considering that GL 3.3 is fully supported in software mode, your system likely has at least that.
fluffrabbit
 
Posts: 563
Joined: 11 Apr 2019, 11:17

Who is online

Users browsing this forum: No registered users and 1 guest